Groovy 1.7.10

## Package org.codehaus.groovy.runtime.typehandling

Classes used to execute special actions based on the type. This includes mathematic operations and wrapper classes.

Class Summary
BigDecimalMath | BigDecimal NumberMath operations
BigIntegerMath | BigInteger NumberMath operations
DefaultTypeTransformation | Class providing various type conversions, coercions and boxing/unboxing operations.
FloatingPointMath | FloatingPoint (Double and Float) NumberMath operations
IntegerMath | Integer NumberMath operations
LongMath | Long NumberMath operations
NumberMath | Stateless objects used to perform math on the various Number subclasses.
NumberMathModificationInfo |

Exception Summary
GroovyCastException |

Copyright © 2003-2010 The Codehaus. All rights reserved.